### Method

# EDataServer SourceAlarms set_last_notified

since: 3.6

#### Declaration [src]

    void
    e_source_alarms_set_last_notified (
      ESourceAlarms* extension,
      const gchar* last_notified
    )

#### Description [src]

Sets an ISO 8601 formatted timestamp of when the user was last alerted about an upcoming appointment in the calendar described by the `ESource` to which `extension` belongs.

If `last_notified` is non-`NULL`, the function will validate the timestamp before setting the `ESourceAlarms:last-notified` property. Invalid timestamps are discarded with a runtime warning.

Generally, this function should only be called by an alarm daemon such as evolution-alarm-notify.

Available since: 3.6

Sets property | `EDataServer.SourceAlarms:last-notified`

#### Parameters

`last_notified`

  Type: `const gchar*`

  An ISO 8601 timestamp, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.